<? 
include_once("valida_sessao.php");
protegePagina(); 
include_once("adm_head.php");
?>

<span class="dir">Editar Página</span>
</div>


<div id="conteudo">

<?php
include("config.php");

if (isset($_POST['submit'])) {

$id = $_POST['id'];

$template = $_POST['template'];
$nome = $_POST['nome'];
$titulo = $_POST['titulo'];
$arquivo = $_POST['arquivo'];
$texto = addslashes($_POST['texto']);
$menu = $_POST['menu'];
$situacao = $_POST['situacao'];
$img_novo = $_FILES['img_novo'];
$ico_novo = $_FILES['ico_novo'];
$ico = $_POST['ico'];
$img = $_POST['img'];

	include_once("ctd_pagina_img.php");		
	if(isset($caminho_imagem)){
		$img = $caminho_imagem;
	}

	include_once("ctd_pagina_ico.php");		
	if(isset($caminho_icone)){
		$ico = $caminho_icone;
	}
	
   include("utf8.php");
   
   $update = "UPDATE ctd_paginas SET p_t_id = '$template', p_nome = '$nome', p_titulo = '$titulo', p_arquivo = '$arquivo', p_texto = '$texto',  p_menu = '$menu', p_icone = '$ico', p_img = '$img', p_situacao = '0' WHERE p_id = $id";
   mysqli_query($conn, $update);
   mysqli_close($conn);
 
   $local = "ctd_pagina_alt.php?id=".$id."&alterado=1";
   echo "<script>location.href='$local';</script>";
   
?>

<?php
} else {
	
if(isset($_GET['alterado'])){
	echo "<p class=\"sucesso\">Alterado Com Sucesso!</p>";
	if($_SESSION['usuarioAdmConteudoPub']==1) {
    echo '<p align="center">Publicar essa página: <br />
	<input type="image" src="imagem/publicar.png" name="acao" onclick="location.href = \'ctd_publicar_pagina.php?id='.$_GET['id'].'\'"></p>';
	}
}

$id = $_GET['id'];

include("utf8.php");

$qry = "SELECT * FROM ctd_paginas WHERE p_id = $id";
$consulta = mysqli_query($conn, $qry);
$registro = mysqli_fetch_array($consulta);

$sql = "SELECT * FROM ctd_templates ORDER BY t_nome";
$consulta_temp = mysqli_query($conn, $sql);

$sql_menu = "SELECT * FROM ctd_menu ORDER BY m_nome";
$con_menu = mysqli_query($conn, $sql_menu);
?>

<form name="frmpagina" method="POST" action="<?=$_SERVER['PHP_SELF']?>" onSubmit="return valida_pagina(this);" enctype="multipart/form-data">
  <table align="center" cellspacing="0" cellpadding="0" class="form">
    	  <tr>
            <td colspan="4">
			Código(ID):
			<?=$registro['p_id']?>            
            </td>
          </tr>
          <tr>
            <td>
            <img src="imagem/importante.gif" />
            Template <br />
            <select name="template" id="template">
            <option value=""></option>
            <?PHP
			while($sel_temp = mysqli_fetch_array($consulta_temp)){
            	echo "<option value=\"". $sel_temp['t_id'] ."\" ";
				if ($sel_temp['t_id'] == $registro['p_t_id'] ) { echo "SELECTED"; }
				echo " >". $sel_temp['t_nome'] ."</option>";
			}
            ?>
            </select>
            </td>
            <td>
            <img src="imagem/importante.gif" />
            Menu <br />
            <select name="menu">
            <option value="">- Nenhum -</option>
            <?PHP
			while($sel_menu = mysqli_fetch_array($con_menu)){
            	echo "<option value=\"". $sel_menu['m_id'] ."\" ";
				if ($sel_menu['m_id'] == $registro['p_menu'] ) { echo "SELECTED"; }
				echo " >". $sel_menu['m_nome'] ."</option>";
			}
            ?>
            </select>
            </td>
            <td>
            <img src="imagem/importante.gif" />
            Arquivo <br />
            <input type="text" name="arquivo" value="<?=$registro['p_arquivo']?>" maxlength="50">
            </td>
          	<td>
            <img src="imagem/importante.gif" />
            Situação <br />
            <select name="situacao">
            <option value="1" <? if ($registro['p_situacao']==1) { echo "SELECTED"; }	?>>Ativo</option>
            <option value="0" <? if ($registro['p_situacao']==0) { echo "SELECTED"; }	?>>Inativo</option>
            </select>   
            </td>
          </tr>
          <tr>            
            <td colspan="4">
            <img src="imagem/importante.gif" />
            Título <br />
            <input type="text" name="nome" value="<?=$registro['p_nome']?>" maxlength="150" />
            </td>
          </tr>
          <tr>
            <td colspan="4">            
            Texto <br />
            <textarea rows="20" name="texto" class="ckeditor"><?=stripslashes($registro['p_texto'])?></textarea>
            </td>
          </tr>
          <tr>
          	<td colspan="4">
            <input type="hidden" name="ico" value="<?=$registro['p_icone'];?>" />
            <? if($registro['p_icone']) {echo '<img src="/slir/w400-h300/'.$registro['p_icone'].'" /> <br />'; } ?>
            Ícone <br />
            <input type="file" name="ico_novo" id="ico_novo" />    
            </td>
          </tr>
          <tr>
          	<td colspan="4">
            <input type="hidden" name="img" value="<?=$registro['p_img'];?>" />
            <? if($registro['p_img']) {echo '<img src="/slir/w400-h300/'.$registro['p_img'].'" /> <br />'; } ?>
            Imagem Cabeçalho <br />
            <input type="file" name="img_novo" id="img_novo" />    
            </td>
          </tr>
          <tr>
            <td colspan="4" align="center">
            <input type="hidden" value="<?=$id?>" name="id" />
              <input type="button" value="Voltar" name="voltar" onclick="location.href='ctd_pagina_adm.php'" />
              <input type="submit" value="Salvar" name="submit" /></td>
          </tr>
        </table>
</form>
<?php
}
mysqli_close($conn);
?>
</div>
<? include_once("adm_foot.php"); ?>